import React, { useState, useEffect } from "react";

import Table from 'antd/lib/table';
import Column from "antd/lib/table/Column";
import Tag from "antd/lib/tag";
import Service from "../../utils/Service";


const columns = [
    {
        title: "Nome",
        dataIndex: "nome"
    },
    {
        title: "Categoria",
        dataIndex: "categoria"
    },
    {
        title: "Stock",
        dataIndex: "stock"
    },
    {
        title: "Preco",
        dataIndex: "preco"
    }
    

];

const TabelaProduto = () => {


    const [data, setData] = useState([]);
    const [ loading, setLoading ] = useState(false);

    useEffect(() => {
        Service.call({
            url: `produtos`,
            setData,
            setLoading,
            errorTitle: 'Tabela de Pessoas',
            errorMessage: 'Houve uma falha ao carregar a tabela das pessoas...'
        });
    }, [ ]);


        return <Table columns={columns} dataSource={data} />
};

export default TabelaProduto;